Page MenuHomePhabricator

Undefined method ORES\Hooks::getDamagingThreshold()
Closed, ResolvedPublic

Description

Spotted in production with 1.29.0-wmf.5:

Fatal error: Call to undefined method ORES\Hooks::getDamagingThreshold() in /srv/mediawiki/php-1.29.0-wmf.4/extensions/ORES/includes/ApiHooks.php on line 117

Needs fixing before we roll out beyond group0.

Details

Related Gerrit Patches:
mediawiki/extensions/ORES : wmf/1.29.0-wmf.5Use getThreshold instead of getDamagingThreshold
mediawiki/extensions/ORES : masterUse getThreshold instead of getDamagingThreshold

Event Timeline

demon created this task.Dec 6 2016, 8:32 PM
Restricted Application added subscribers: Jay8g, Luke081515, TerraCodes, Aklapper. · View Herald TranscriptDec 6 2016, 8:32 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 6 2016, 8:37 PM

The path is wmf.4. right?

Anomie added a subscriber: Anomie.Dec 6 2016, 8:41 PM

Caused by rEORSc3ee00bc5c6f: Only pull in damaging scores when damaging model is enabled removing the function without noticing that it was now called by the newly-added API code.

Yes, Working on it.

That's why we need CI tests for API modules

demon added a comment.Dec 6 2016, 8:47 PM

The path is wmf.4. right?

I suppose so, I just noticed it after rolling out wmf.5 to group0. Time must've overlapped :)

Change 325624 had a related patch set uploaded (by Ladsgroup):
Use getThreshold instead of getDamagingThreshold

https://gerrit.wikimedia.org/r/325624

Change 325624 merged by jenkins-bot:
Use getThreshold instead of getDamagingThreshold

https://gerrit.wikimedia.org/r/325624

Mentioned in SAL (#wikimedia-operations) [2016-12-06T22:32:17Z] <Amir1> scap sync-dir php-1.29.0-wmf.4/extensions/ORES/includes/ 'Deploy gerrit:325624 (UBN! T152542)'

Mentioned in SAL (#wikimedia-operations) [2016-12-06T22:32:39Z] <ladsgroup@tin> Synchronized php-1.29.0-wmf.4/extensions/ORES/includes: Deploy gerrit:325624 (UBN! T152542) (duration: 00m 46s)

Change 325694 had a related patch set uploaded (by Ladsgroup):
Use getThreshold instead of getDamagingThreshold

https://gerrit.wikimedia.org/r/325694

Change 325694 merged by jenkins-bot:
Use getThreshold instead of getDamagingThreshold

https://gerrit.wikimedia.org/r/325694

Mentioned in SAL (#wikimedia-operations) [2016-12-06T22:43:29Z] <Amir1> scap sync-dir php-1.29.0-wmf.5/extensions/ORES/includes/ 'Deploy gerrit:325624 (UBN! T152542)'

Mentioned in SAL (#wikimedia-operations) [2016-12-06T22:43:58Z] <ladsgroup@tin> Synchronized php-1.29.0-wmf.5/extensions/ORES/includes: Deploy gerrit:325624 (UBN! T152542) (duration: 00m 45s)

Ladsgroup closed this task as Resolved.Dec 6 2016, 11:03 PM
Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.
Ladsgroup moved this task from Active to Done on the Scoring-platform-team (Current) board.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM